--- src/hugin/OptimizePanel.cpp.orig	Sun Dec 31 14:39:52 2006
+++ src/hugin/OptimizePanel.cpp	Tue Feb  6 11:48:58 2007
@@ -545,23 +545,43 @@
         if (fabs(const_map_get(*it,"c").getValue()) > 0.8) highDist = true;
     }
 
-    wxString msg;
-    int style=0;
+    const wxChar * fmt(_(
+        "Optimizer run finished.\n"
+        "Results:\n"
+        " average control point distance: %f\n"
+        " standard deviation: %f\n"
+        " maximum: %f\n"
+        "\n%s"
+        "Apply the changes?"
+    ));
+    const wxChar * warn(_T(""));
     if (smallHFOV) {
-        msg.Printf( _("Optimizer run finished.\nWARNING: a very small Field of View (v) has been estimated\n\nThe results are probably invalid.\n\nOptimisation of the Field of View (v) of partial panoramas can lead to bad results.\nTry adding more images and control points.\n\nApply the changes anyway?"));
-        style = wxYES_NO;
+        warn = _(
+            "WARNING: a very small Field of View (v) has been estimated\n"
+            "The results are probably invalid.\n"
+            "Optimisation of the Field of View (v) of partial panoramas "
+            "can lead to bad results.\n"
+            "Try adding more images and control points.\n"
+            "\n"
+        );
     } else if (highDist) {
-        msg.Printf(_("Optimizer run finished.\nResults:\n average control point distance: %f\n standard deviation: %f\n maximum: %f\n\n*WARNING*: very high distortion coefficients (a,b,c) have been estimated.\nThe results are probably invalid.\nOnly optimize all distortion parameters when many, well spread control points are used.\nPlease reset the a,b and c parameters to zero and add more control points\n\nApply the changes anyway?"),
-                   mean, var, max);
-        style = wxYES_NO | wxICON_EXCLAMATION;
-    } else {
-        msg.Printf(_("Optimizer run finished.\nResults:\n average control point distance: %f\n standard deviation: %f\n maximum: %f\n\nApply the changes?"),
-                   mean, var, max);
-        style = wxYES_NO | wxICON_EXCLAMATION;
+        warn = _(
+            "WARNING: very high distortion coefficients (a,b,c) have been "
+            "estimated.\n"
+            "The results are probably invalid.\n"
+            "Only optimize all distortion parameters when many, well spread "
+            "control points are used.\n"
+            "Please reset the a, b and c parameters to zero and add more "
+            "control points.\n"
+            "\n"
+        );
     }
-
-    int id = wxMessageBox(msg,_("Optimisation result"),style);
-
+    const wxString & msg(wxString::Format(fmt, mean, var, max, warn));
+    int style(
+        wxYES_NO 
+        | (smallHFOV || highDist ? wxICON_WARNING : wxICON_INFORMATION)
+    );
+    int id(wxMessageBox(msg, _("Optimisation result"), style));
     return id == wxYES;
 }
 
