--- src/hugin_base/vigra_ext/BlendPoisson.h.orig	2017-03-10 08:31:31 UTC
+++ src/hugin_base/vigra_ext/BlendPoisson.h
@@ -864,6 +864,14 @@ void Multigrid(Image& out, const Image& 
             << "searching " << out.size() << ", finest " << seamMaskPyramid[seamMaskPyramid.highestLevel()].size() << std::endl;
         return;
     };
+    vigra::FindMinMax<typename Image::PixelType> minmax;
+    vigra::inspectImageIf(srcImageRange(out), srcImage(seamMaskPyramid[maskIndex]), minmax);
+    std::cerr 
+       << "[before] maskIndex: " << maskIndex 
+       << "; out size: " << out.size() 
+       << "; mask size: " << seamMaskPyramid[maskIndex].size() 
+       << "; out min: " << minmax.min << "; out max: " << minmax.max 
+       << std::endl;
     // pre-smoothing
     detail::SOR(out, gradient, seamMaskPyramid[maskIndex], 1.95f, errorThreshold, maxIter, doWrap);
     detail::CalcResidualError(err, out, gradient, seamMaskPyramid[maskIndex], doWrap);    // Fehler berechnen
@@ -878,6 +886,13 @@ void Multigrid(Image& out, const Image& 
         vigra::functor::Arg1() - vigra::functor::Arg2());
     // post smoothing
     detail::SOR(out, gradient, seamMaskPyramid[maskIndex], 1.95f, 2.0f * errorThreshold, maxIter, doWrap);
+    vigra::inspectImageIf(srcImageRange(out), srcImage(seamMaskPyramid[maskIndex]), minmax);
+    std::cerr 
+       << "[after] maskIndex: " << maskIndex 
+       << "; out size: " << out.size() 
+       << "; mask size: " << seamMaskPyramid[maskIndex].size() 
+       << "; out min: " << minmax.min << "; out max: " << minmax.max 
+       << std::endl;
     return;
 }
 
