--- src/hugin_base/panodata/ParseExp.cpp.orig	2017-09-06 17:08:19 UTC
+++ src/hugin_base/panodata/ParseExp.cpp
@@ -24,6 +24,12 @@
  *
  */
 
+#include <string.h>
+#include <stdlib.h>
+#include <errno.h>
+
+#include <boost/move/utility.hpp>
+
 #include "ParseExp.h"
 
 // parser using shunting yard algorithm using C++11 features
@@ -365,23 +371,39 @@ bool ConvertToRPN(const std::string& exp
         if (isdigit(currentChar) || currentChar == '.')
         {
             // parse numbers
-            size_t index;
+            //size_t index;
+            char const *e = expression.substr(pos).c_str();
+            char *ee = 0;
             double val;
             try
             {
-                val = std::stod(expression.substr(pos), &index);
+                //val = std::stod(expression.substr(pos), &index);
+                val = ::strtod(e, &ee);
+                if (ee == e)
+                {
+                    throw std::invalid_argument(std::string());
+                }
+                if (errno == ERANGE)
+                {
+                    throw std::out_of_range(std::string());
+                }
+                if (ee == 0)
+                {
+                    ee += strlen(e);
+                }
             }
-            catch (std::invalid_argument)
+            catch (const std::invalid_argument &)
             {
                 throw ParseException("Invalid number");
             }
-            catch (std::out_of_range)
+            catch (const std::out_of_range &)
             {
                 throw ParseException("Out of range");
             }
-            index += pos;
+            //index += pos;
+            pos += ee - e;
             rpn.push(new RPNTokens::NumericToken(val));
-            pos = index;
+            //pos = index;
             lastTokenWasOperator = false;
             continue;
         }
