--- src/hugin1/base_wx/HFOVDialog.cpp.orig	2018-11-16 14:12:16 UTC
+++ src/hugin1/base_wx/HFOVDialog.cpp
@@ -280,12 +280,13 @@ void HFOVDialog::OnLoadLensParameters(wxCommandEvent &
         m_focalLength = HuginBase::SrcPanoImage::calcFocalLength(m_srcImg.getProjection(), m_HFOV, m_cropFactor, m_srcImg.getSize());
 
         // geometrical distortion correction
-        std::vector<double> radialDist(4);
-        radialDist[0] = const_map_get(lens.variables,"a").getValue();
-        radialDist[1] = const_map_get(lens.variables,"b").getValue();
-        radialDist[2] = const_map_get(lens.variables,"c").getValue();
-        radialDist[3] = 1 - radialDist[0] - radialDist[1] - radialDist[2];
-        m_srcImg.setRadialDistortion(radialDist);
+        double rda = const_map_get(lens.variables,"a").getValue();
+        double rdb = const_map_get(lens.variables,"b").getValue();
+        double rdc = const_map_get(lens.variables,"c").getValue();
+        m_srcImg.setRadialDistortionA(rda);
+        m_srcImg.setRadialDistortionB(rdb);
+        m_srcImg.setRadialDistortionC(rdc);
+        m_srcImg.setRadialDistortionD(1 - rda - rdb - rdc);
         hugin_utils::FDiff2D t;
         t.x = const_map_get(lens.variables,"d").getValue();
         t.y = const_map_get(lens.variables,"e").getValue();
