--- src/hugin1/base_wx/wxLensDB.cpp.orig	2018-11-16 14:12:16 UTC
+++ src/hugin1/base_wx/wxLensDB.cpp
@@ -319,10 +319,14 @@ bool ApplyLensDBParameters(wxWindow * parent, HuginBas
                 {
                     dist.push_back(1.0 - dist[0] - dist[1] - dist[2]);
                     std::set<HuginBase::ImageVariableGroup::ImageVariableEnum> linkedVariables;
-                    linkedVariables.insert(HuginBase::ImageVariableGroup::IVE_RadialDistortion);
+                    linkedVariables.insert(HuginBase::ImageVariableGroup::IVE_RadialDistortionA);
+                    linkedVariables.insert(HuginBase::ImageVariableGroup::IVE_RadialDistortionB);
+                    linkedVariables.insert(HuginBase::ImageVariableGroup::IVE_RadialDistortionC);
                     cmds.push_back(new PanoCommand::ChangePartImagesLinkingCmd(*pano, images, linkedVariables,
                         true, HuginBase::StandardImageVariableGroups::getLensVariables()));
-                    cmds.push_back(new PanoCommand::ChangeImageRadialDistortionCmd(*pano, images, dist));
+                    cmds.push_back(new PanoCommand::ChangeImageRadialDistortionACmd(*pano, images, dist[0]));
+                    cmds.push_back(new PanoCommand::ChangeImageRadialDistortionBCmd(*pano, images, dist[1]));
+                    cmds.push_back(new PanoCommand::ChangeImageRadialDistortionCCmd(*pano, images, dist[2]));
                 };
             };
         };
@@ -631,7 +635,13 @@ bool SaveLensParameters(wxWindow * parent, const Hugin
             wxMessageBox(_("Could not save information into database."), _("Error"), wxOK | wxICON_ERROR, parent);
             return false;
         };
-        if (!lensDB.SaveDistortion(lensname, focal, img.getRadialDistortion(), 75))
+
+        std::vector<double> dist(4);
+        dist[0] = img.getRadialDistortionA();
+        dist[1] = img.getRadialDistortionB();
+        dist[2] = img.getRadialDistortionC();
+        dist[3] = img.getRadialDistortionD();
+        if (!lensDB.SaveDistortion(lensname, focal, dist, 75))
         {
             wxMessageBox(_("Could not save information into database."), _("Error"), wxOK | wxICON_ERROR, parent);
             return false;
