--- src/hugin1/hugin/ImagesTree.h.orig	2020-01-08 14:35:27 UTC
+++ src/hugin1/hugin/ImagesTree.h
@@ -125,6 +125,10 @@ class ImagesTreeCtrl: public wxcode::wxTreeListCtrl, p
     void OnSelectLensStack(wxCommandEvent &e);
     /** event handler for unselect all optimizer variables for selected lens/stack */
     void OnUnselectLensStack(wxCommandEvent &e);
+    /** event handler for select optimizer variables for selected image(s) */
+    void OnSelectSelected(wxCommandEvent &e);
+    /** event handler for unselect optimizer variables for selected image(s) */
+    void OnUnselectSelected(wxCommandEvent &e);
     /** event handler for key events */
     void OnChar(wxTreeEvent &e);
     /** event handler for beginning editing */
@@ -151,11 +155,13 @@ class ImagesTreeCtrl: public wxcode::wxTreeListCtrl, p
     void CreateColumns();
     /** helper procedure for link/unlink image variables */
     void UnLinkImageVariables(bool linked);
-    /** select/unselect all variables in the active column 
-      *  @select true selects all, false unselect all
-      *  @allImages true works on all images, false only on images of current lens or stack
+    /** select/unselect variables in the active column 
+      *  @select true selects, false unselect
+      *  @allImages true works on all images,
+      *  @selectedImages true works on images selected in view,
+      *  both @allImages and @selectedImages false only on images of current lens or stack
       */
-    void SelectAllParameters(bool select, bool allImages);
+    void SelectParameters(bool select, bool allImages, bool selectedImages);
     /** updates the display of the optimizer variables (set font) */
     void UpdateOptimizerVariables();
     /** generates submenu for given PanoOperationVector */
