--- src/hugin_base/nona/SpaceTransform.cpp.orig	2018-11-16 14:12:16 UTC
+++ src/hugin_base/nona/SpaceTransform.cpp
@@ -95,7 +95,7 @@ void rotate_erect( double x_dest, double y_dest, doubl
 void inv_radial( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams &params)
 {
 	// params: double coefficients[5]
-	register double rs, rd, f, scale;
+	double rs, rd, f, scale;
 	int iter = 0;
 
 	rd	= (sqrt( x_dest*x_dest + y_dest*y_dest )) / params.var4; // Normalized
@@ -123,7 +123,7 @@ void inv_radial( double x_dest, double y_dest, double*
 static void inv_vertical( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams &params)
 {
 	// params: double coefficients[4]
-	register double rs, rd, f, scale;
+	double rs, rd, f, scale;
 	int iter = 0;
 
 	rd 	= abs( y_dest ) / params.var4; // Normalized
@@ -184,7 +184,7 @@ void vert( double x_dest, double y_dest, double* x_src
 void radial( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double coefficients[4], scale, correction_radius
-	register double r, scale;
+	double r, scale;
 
 	r = (sqrt( x_dest*x_dest + y_dest*y_dest )) / params.var4;
 	if( r < params.var5 )
@@ -203,7 +203,7 @@ void radial( double x_dest, double y_dest, double* x_s
 static void vertical( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double coefficients[4]
-	register double r, scale;
+	double r, scale;
 
 	r = y_dest / params.var4;
 
@@ -221,7 +221,7 @@ static void vertical( double x_dest, double y_dest, do
 static void deregister( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double coefficients[4]
-	register double r, scale;
+	double r, scale;
 
 	r = y_dest / params.var4;
 
@@ -237,7 +237,7 @@ static void deregister( double x_dest, double y_dest, 
 void persp_sphere( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params :  double Matrix[3][3], double params.distance
-	register double theta,s,r;
+	double theta,s,r;
 	Vector3 v, v2;
 
 	r = sqrt( x_dest * x_dest + y_dest * y_dest );
@@ -298,7 +298,7 @@ static void pano_rect( double x_dest,double  y_dest, d
 void rect_erect( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {	
 	// params: double params.distance
-	register double  phi, theta;
+	double  phi, theta;
 
 	phi 	= x_dest / params.distance;
 	theta 	=  - y_dest / params.distance  + PI / 2.0;
@@ -354,7 +354,7 @@ void erect_transpano( double x_dest,double  y_dest, do
 static void sphere_cp_erect( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b
-	register double phi, theta;
+	double phi, theta;
 	phi 	= - x_dest /  ( params.var0 * PI / 2.0);
 	theta 	=  - ( y_dest + params.var1 ) / ( PI / 2.0) ;
 	*x_src =  theta * cos( phi );
@@ -366,7 +366,7 @@ static void sphere_cp_erect( double x_dest,double  y_d
 void sphere_tp_erect( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double phi, theta, r,s;
+	double phi, theta, r,s;
 	double v[3];
 	phi 	= x_dest / params.distance;
 	theta 	=  - y_dest / params.distance  + PI / 2;
@@ -395,7 +395,7 @@ void sphere_tp_erect( double x_dest,double  y_dest, do
 static void erect_sphere_cp( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b
-	register double phi, theta;
+	double phi, theta;
 	theta = sqrt( x_dest * x_dest + y_dest * y_dest ) ;
 	phi   = atan2( y_dest , -x_dest );
 	*x_src = params.var0 * phi;
@@ -407,7 +407,7 @@ static void erect_sphere_cp( double x_dest,double  y_d
 void rect_sphere_tp( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double rho, theta,r;
+	double rho, theta,r;
 	r = sqrt( x_dest*x_dest + y_dest*y_dest );
 	theta 	= r / params.distance;
 
@@ -425,7 +425,7 @@ void rect_sphere_tp( double x_dest,double  y_dest, dou
 void sphere_tp_rect( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {	
 	// params: double params.distance
-	register double  theta, r;
+	double  theta, r;
 	r = sqrt(x_dest*x_dest + y_dest*y_dest) / params.distance;
 	if( r== 0.0 )
 		theta = 1.0;
@@ -439,7 +439,7 @@ void sphere_tp_rect( double x_dest,double  y_dest, dou
 void sphere_tp_pano( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double r, s, Phi, theta;
+	double r, s, Phi, theta;
 	Phi = x_dest / params.distance;
 	s =  params.distance * sin( Phi ) ;	//  y' -> x
 	r = sqrt( s*s + y_dest*y_dest );
@@ -452,7 +452,7 @@ void sphere_tp_pano( double x_dest,double  y_dest, dou
 void pano_sphere_tp( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double r,s, theta;
+	double r,s, theta;
 	double v[3];
 	r = sqrt( x_dest * x_dest + y_dest * y_dest );
 	theta = r / params.distance;
@@ -471,7 +471,7 @@ void pano_sphere_tp( double x_dest,double  y_dest, dou
 static void sphere_cp_pano( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double phi, theta;
+	double phi, theta;
 	phi 	= -x_dest / (params.distance * PI / 2.0) ;
 	theta	= PI /2.0 + atan( y_dest / (params.distance * PI/2.0) );
 	*x_src = params.distance * theta * cos( phi );
@@ -491,7 +491,7 @@ void erect_rect( double x_dest,double  y_dest, double*
 void erect_sphere_tp( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance
-	register double  theta,r,s;
+	double  theta,r,s;
 	double	v[3];
 	r = sqrt( x_dest * x_dest + y_dest * y_dest );
 	theta = r / params.distance;
@@ -595,7 +595,7 @@ void erect_stereographic( double x_dest,double  y_dest
 static void mirror_sphere_cp( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b
-	register double rho, phi, theta;
+	double rho, phi, theta;
 	theta = sqrt( x_dest * x_dest + y_dest * y_dest ) / params.var0;
 	phi   = atan2( y_dest , x_dest );
 	rho = params.var1 * sin( theta / 2.0 );
@@ -609,7 +609,7 @@ static void mirror_sphere_cp( double x_dest,double  y_
 static void mirror_erect( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b, double b2
-	register double phi, theta, rho;
+	double phi, theta, rho;
 	phi 	=  x_dest / ( params.var0 * PI/2.0) ;
 	theta 	=  - ( y_dest + params.var2 ) / (params.var0 * PI/2.0)  ;
 	rho = params.var1 * sin( theta / 2.0 );
@@ -623,7 +623,7 @@ static void mirror_erect( double x_dest,double  y_dest
 static void mirror_pano( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b
-	register double phi, theta, rho;
+	double phi, theta, rho;
 	phi 	= -x_dest / (params.var0 * PI/2.0) ;
 	theta	= PI /2.0 + atan( y_dest / (params.var0 * PI/2.0) );
 	rho = params.var1 * sin( theta / 2.0 );
@@ -637,7 +637,7 @@ static void mirror_pano( double x_dest,double  y_dest,
 static void sphere_cp_mirror( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.distance, double b
-	register double phi, theta, rho;
+	double phi, theta, rho;
 	rho = sqrt( x_dest*x_dest + y_dest*y_dest );
 	theta = 2 * asin( rho/params.var1 );
 	phi   = atan2( y_dest , x_dest );
@@ -651,8 +651,8 @@ static void sphere_cp_mirror( double x_dest,double  y_
 static void shift_scale_rotate( double x_dest,double  y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
 	// params: double params.shift_x, params.shift_y, scale, cos_phi, sin_phi
-	register double x = x_dest - params.var0;
-	register double y = y_dest - params.var1;
+	double x = x_dest - params.var0;
+	double y = y_dest - params.var1;
 	*x_src = (x * params.var3 - y * params.var4) * params.var2;
 	*y_src = (x * params.var4 + y * params.var3) * params.var2;
 }
@@ -664,7 +664,7 @@ static void shift_scale_rotate( double x_dest,double  
 unsigned char radlum( unsigned char srcPixel, int xc, int yc, void *params )
 {
 	// params: second and zero order polynomial coeff
-	register double result;
+	double result;
 
 	result = (xc * xc + yc * yc) * params.var0 + params.var1;
 	result = ((double)srcPixel) - result;
@@ -896,7 +896,7 @@ static double CalcCorrectionRadius_copy(double *coeff 
 static void radial_shift( double x_dest, double y_dest, double* x_src, double* y_src, const _FuncParams & params)
 {
     // params: double coefficients[4], scale, correction_radius, shift_x, shift_y
-    register double r, scale;
+    double r, scale;
 
     r = (sqrt( x_dest*x_dest + y_dest*y_dest )) / params.var4;
     if( r < params.var5 )
@@ -1116,9 +1116,10 @@ void SpaceTransform::InitInvRadialCorrect(const SrcPan
     }
 
     // green channel, always correct
-    for (int i=0; i < 4; i++) {
-        mprad[3-i] = src.getRadialDistortion()[i];
-    }
+    mprad[3] = src.getRadialDistortionA();
+    mprad[2] = src.getRadialDistortionB();
+    mprad[1] = src.getRadialDistortionC();
+    mprad[0] = src.getRadialDistortionD();
     mprad[4] = ( src.getSize().x < src.getSize().y ? src.getSize().x: src.getSize().y)  / 2.0;
     // calculate the correction radius.
     mprad[5] = CalcCorrectionRadius_copy(mprad);
@@ -1145,9 +1146,10 @@ void SpaceTransform::InitRadialCorrect(const SrcPanoIm
     m_destTY = src.getSize().y/2.0;
 
     // green channel, always correct
-    for (int i=0; i < 4; i++) {
-        mprad[3-i] = src.getRadialDistortion()[i];
-    }
+    mprad[3] = src.getRadialDistortionA();
+    mprad[2] = src.getRadialDistortionB();
+    mprad[1] = src.getRadialDistortionC();
+    mprad[0] = src.getRadialDistortionD();
     mprad[4] = ( src.getSize().x < src.getSize().y ? src.getSize().x: src.getSize().y)  / 2.0;
     // calculate the correction radius.
     mprad[5] = CalcCorrectionRadius_copy(mprad);
@@ -1215,9 +1217,9 @@ void SpaceTransform::Init(
     double  imyaw   = image.getYaw();
     double  impitch = image.getPitch();
     double  imroll  = image.getRoll();
-    double  ima = image.getRadialDistortion()[0];
-    double  imb = image.getRadialDistortion()[1];
-    double  imc = image.getRadialDistortion()[2];
+    double  ima = image.getRadialDistortionA();
+    double  imb = image.getRadialDistortionB();
+    double  imc = image.getRadialDistortionC();
     double  imd = image.getRadialDistortionCenterShift().x;
     double  ime = image.getRadialDistortionCenterShift().y;
     double  img = image.getShear().x;
@@ -1425,9 +1427,9 @@ void SpaceTransform::InitInv(
     double  imyaw   = image.getYaw();
     double  impitch = image.getPitch();
     double  imroll  = image.getRoll();
-    double  ima = image.getRadialDistortion()[0];
-    double  imb = image.getRadialDistortion()[1];
-    double  imc = image.getRadialDistortion()[2];
+    double  ima = image.getRadialDistortionA();
+    double  imb = image.getRadialDistortionB();
+    double  imc = image.getRadialDistortionC();
     double  imd = image.getRadialDistortionCenterShift().x;
     double  ime = image.getRadialDistortionCenterShift().y;
     SrcPanoImage::Projection srcProj = image.getProjection();
