--- src/hugin_base/panodata/ImageVariableTranslate.h.orig	2018-11-16 14:12:16 UTC
+++ src/hugin_base/panodata/ImageVariableTranslate.h
@@ -190,47 +190,6 @@ class IMPEX PTOVariableConverterVectorChar (public)
 };
 
 /** Object to group conversion functions for PTO format variables representing
- * a std::vector variable in SrcPanoImg, using characters stating from 'a'.
- * 
- * This can only be used for one variable, and it is RadialDistortion.
- * 
- * @tparam base_code string used in PTO file format upto the the character.
- * @tparam T type used in the ImageVariable. Should really be double, but could
- * be float or something.
- * @tparam size The number of letters and the size of the vector.
- */
-template <class T = double, size_t size = 3>
-class IMPEX PTOVariableConverterVector
-{
-public:
-    inline static bool checkApplicability(const std::string& name)
-    {
-        return name[0] >= 'a' && name[0] < 'a' + char(size);
-    }
-    
-    inline static double getValueFromVariable(const std::string& name, const ImageVariable<std::vector<T> > & var)
-    {
-        return var.getData()[name[0]-'a'];
-    }
-    
-    inline static void setValueFromVariable(const std::string& name, ImageVariable<std::vector<T> > & var, const double value)
-    {
-        std::vector<T> temp = var.getData();
-        temp[name[0]-'a'] = value;
-        var.setData(temp);
-    }
-    
-    inline static void addToVariableMap(const ImageVariable<std::vector<T> > & var, VariableMap & map)
-    {
-        char s[] = "a";
-        for (size_t index = 0; index < size; index++, s[0]++)
-        {
-            map.insert(std::make_pair(s, Variable(s, (double)var.getData()[index])));
-        }
-    }
-};
-
-/** Object to group conversion functions for PTO format variables representing
  * a hugin_utils::FDiff2D variable in SrcPanoImg. Each element must have a pto
  * file format code that is 1 or 2 characters in length.
  * 
@@ -302,7 +261,10 @@ typedef PTOVariableConverterSingle<'T','p','p'> PTOVar
 
 typedef PTOVariableConverterSingle<'j'> PTOVariableConverterForStack;
 
-typedef PTOVariableConverterVector<double, 3> PTOVariableConverterForRadialDistortion;
+typedef PTOVariableConverterSingle<'a'> PTOVariableConverterForRadialDistortionA;
+typedef PTOVariableConverterSingle<'b'> PTOVariableConverterForRadialDistortionB;
+typedef PTOVariableConverterSingle<'c'> PTOVariableConverterForRadialDistortionC;
+typedef PTOVariableConverterNoOp PTOVariableConverterForRadialDistortionD;
 typedef PTOVariableConverterNoOp PTOVariableConverterForRadialDistortionRed;
 typedef PTOVariableConverterNoOp PTOVariableConverterForRadialDistortionBlue;
 typedef PTOVariableConverterFDiff2D<'d', 'e'> PTOVariableConverterForRadialDistortionCenterShift;
