--- src/hugin_base/panodata/Panorama.cpp.orig	2019-01-05 16:47:48 UTC
+++ src/hugin_base/panodata/Panorama.cpp
@@ -2082,7 +2082,7 @@ void Panorama::mergePanorama(const Panorama &newPano)
             if (i < lensImgs.size())
             {
                 const HuginBase::SrcPanoImage& srcImage = getImage(new_image_nr[*lensImgs[i].begin()]);
-                size_t matchingLensNumber = -1;
+                ssize_t matchingLensNumber(-1);
                 for (size_t j = 0; j < oldImgNumber; ++j)
                 {
                     const HuginBase::SrcPanoImage& compareImage = getImage(j);
@@ -2949,8 +2949,11 @@ bool PanoramaMemento::loadPTScript(std::istream &i, in
                     } else if (var == "#hugin_outputImageTypeHDRCompression") {
                         options.outputImageTypeHDRCompression = value;
                     } else if (var == "#hugin_outputRangeCompression") {
-                        options.outputRangeCompression = atof(value.c_str());
-                        options.outputRangeCompression = std::max(0.0, std::min(options.outputRangeCompression, 20.0));
+                        double rangeCompression;
+                        if (hugin_utils::stringToDouble(value, rangeCompression))
+                        {
+                            options.outputRangeCompression = std::max(0.0, std::min(rangeCompression, 20.0));
+                        }
                     } else if (var == "#hugin_optimizerMasterSwitch") {
                         optSwitch = atoi(value.c_str());
                     } else if (var == "#hugin_optimizerPhotoMasterSwitch") {
@@ -3266,13 +3269,13 @@ bool PanoramaMemento::loadPTScript(std::istream &i, in
     }
     else
     {
-        if (options.optimizeReferenceImage < 0 || options.optimizeReferenceImage >= images.size())
+        if ((ssize_t)options.optimizeReferenceImage < 0 || options.optimizeReferenceImage >= images.size())
         {
             // optimize reference images reference to non-existing image
             options.optimizeReferenceImage = 0;
             std::cout << "WARNING: Optimize reference image refers to non existing image. Reset to default value." << std::endl;
         };
-        if (options.colorReferenceImage < 0 || options.colorReferenceImage >= images.size())
+        if ((ssize_t)options.colorReferenceImage < 0 || options.colorReferenceImage >= images.size())
         {
             // optimize reference images reference to non-existing image
             options.colorReferenceImage = 0;
