--- src/hugin_base/vigra_ext/Correlation.h.orig	2018-11-16 14:23:52 UTC
+++ src/hugin_base/vigra_ext/Correlation.h
@@ -71,9 +71,6 @@ struct CorrelationResult
 
 #ifdef HAVE_FFTW
 
-/** lock for correlateImageFastFFT */
-static hugin_omp::Lock fftLock;
-
 // multiplication with conjugate number in Fourier space
 template <class Value>
 Value multiplyConjugate(Value const& v1, Value const& v2)
@@ -92,6 +89,8 @@ Value multiplyConjugate(Value const& v1, Value const& 
 template <class SrcImage, class DestImage, class KernelImage>
 CorrelationResult correlateImageFastFFT(SrcImage & src, DestImage & dest, KernelImage & kernel, vigra::Diff2D kul, vigra::Diff2D klr)
 {
+    /** lock for correlateImageFastFFT */
+    hugin_omp::Lock fftLock;
     vigra_precondition(kul.x <= 0 && kul.y <= 0,
         "correlateImageFastFFT(): coordinates of kernel's upper left must be <= 0.");
     vigra_precondition(klr.x >= 0 && klr.y >= 0,
