--- src/hugin_cpfind/cpfind/PanoDetector.cpp.orig	2018-01-05 20:43:20 UTC
+++ src/hugin_cpfind/cpfind/PanoDetector.cpp
@@ -801,13 +801,13 @@ bool PanoDetector::loadProject()
         // Number pointing to image info in _panoramaInfo
         aImgData._number = imgNr;
 
-        bool needsremap=(img.getHFOV()>=65 && img.getProjection() != HuginBase::SrcPanoImage::FISHEYE_STEREOGRAPHIC);
+        bool const needsremap = img.getHFOV()>=65 && img.getProjection() != HuginBase::SrcPanoImage::FISHEYE_STEREOGRAPHIC;
         // set image detection size
+        _filesData[imgNr].SetSizeMode(ImgData::REMAPPED,!needsremap);
         if(needsremap)
         {
             _filesData[imgNr]._detectWidth = std::max(img.getSize().width(),img.getSize().height());
             _filesData[imgNr]._detectHeight = std::max(img.getSize().width(),img.getSize().height());
-            _filesData[imgNr].SetSizeMode(ImgData::REMAPPED);
         }
         else
         {
@@ -816,18 +816,16 @@ bool PanoDetector::loadProject()
         };
 
         // don't downscale if downscale image is smaller than 1000 pixel
-        if (_downscale && std::min(img.getSize().width(), img.getSize().height()) > 2000)
+        bool const downscale = _downscale && std::min(img.getSize().width(),img.getSize().height())>2000;
+        _filesData[imgNr].SetSizeMode(ImgData::DOWNSCALED,!downscale);
+        if (downscale)
         {
             _filesData[imgNr]._detectWidth >>= 1;
             _filesData[imgNr]._detectHeight >>= 1;
-            if (!_filesData[imgNr].NeedsRemapping())
-            {
-                _filesData[imgNr].SetSizeMode(ImgData::DOWNSCALED);
-            };
         }
 
         // set image remapping options
-        if (aImgData.GetSizeMode() == ImgData::REMAPPED)
+        if (aImgData.NeedsRemapping())
         {
             aImgData._projOpts.setProjection(HuginBase::PanoramaOptions::STEREOGRAPHIC);
             aImgData._projOpts.setHFOV(250);
