--- src/hugin_cpfind/cpfind/PanoDetector.h.orig	2018-11-16 14:23:52 UTC
+++ src/hugin_cpfind/cpfind/PanoDetector.h
@@ -386,8 +386,13 @@ class PanoDetector (private)
 public:
     struct ImgData
     {
-        /** enumeration of different detection modes */
-        enum SizeMode { DOWNSCALED, REMAPPED, FULLSIZE};
+        /** enumeration (flags) of different detection modes */
+        enum SizeMode
+        {
+            FULLSIZE = 0x00,
+            DOWNSCALED = 0x01,
+            REMAPPED = 0x02
+        };
         std::string			_name;
 
         int					_number;
@@ -433,10 +438,18 @@ class PanoDetector (private)
                 delete[]_flann_descriptors.ptr();
             };
         }
-        void SetSizeMode(const SizeMode newSizeMode) { m_sizeMode = newSizeMode; };
-        SizeMode GetSizeMode() const { return m_sizeMode; };
-        bool IsDownscale() const { return m_sizeMode == DOWNSCALED; };
-        bool NeedsRemapping() const { return m_sizeMode == REMAPPED; };
+        void SetSizeMode(const SizeMode newSizeMode, bool const reset = false)
+        {
+            if (reset)
+            {
+                m_sizeMode = (SizeMode)(m_sizeMode & ~newSizeMode);
+                return;
+            }
+            m_sizeMode = (SizeMode)(m_sizeMode | newSizeMode);
+        };
+        //SizeMode GetSizeMode() const { return m_sizeMode; };
+        bool IsDownscale() const { return m_sizeMode & DOWNSCALED; };
+        bool NeedsRemapping() const { return m_sizeMode & REMAPPED; };
     private:
         SizeMode m_sizeMode;
     };
