--- src/tools/fulla.cpp.orig	2018-01-05 20:43:20 UTC
+++ src/tools/fulla.cpp
@@ -204,7 +204,10 @@ int main(int argc, char* argv[])
                         std::cerr << hugin_utils::stripPath(argv[0]) << ": invalid -g argument" << std::endl;
                         return 1;
                     }
-                    srcImg.setRadialDistortion(vec4);
+                    srcImg.setRadialDistortionA(vec4[0]);
+                    srcImg.setRadialDistortionB(vec4[1]);
+                    srcImg.setRadialDistortionC(vec4[2]);
+                    srcImg.setRadialDistortionD(vec4[3]);
                 };
                 break;
             case 'b':
@@ -460,7 +463,11 @@ int main(int argc, char* argv[])
                     };
                     if (verbose > 1)
                     {
-                        std::vector<double> dist = currentImg.getRadialDistortion();
+                        std::vector<double> dist(4);
+                        dist[0] = currentImg.getRadialDistortionA();
+                        dist[1] = currentImg.getRadialDistortionB();
+                        dist[2] = currentImg.getRadialDistortionC();
+                        dist[3] = currentImg.getRadialDistortionD();
                         std::cout << "Read distortion data: " << dist[0] << ", " << dist[1] << ", " << dist[2] << ", " << dist[3] << std::endl;
                     };
                 };
@@ -637,13 +644,20 @@ void correctImage(SrcImgType& srcImg,
         double scaleFactor = HuginBase::Nona::estScaleFactorForFullFrame(src);
         DEBUG_DEBUG("Black border correction scale factor: " << scaleFactor);
         double sf=scaleFactor;
-        std::vector<double> radGreen = src.getRadialDistortion();
+        std::vector<double> radGreen(4);
+        radGreen[0] = src.getRadialDistortionA();
+        radGreen[1] = src.getRadialDistortionB();
+        radGreen[2] = src.getRadialDistortionC();
+        radGreen[3] = src.getRadialDistortionD();
         for (int i=0; i < 4; i++)
         {
             radGreen[3-i] *=sf;
             sf *=scaleFactor;
         }
-        src.setRadialDistortion(radGreen);
+        src.setRadialDistortionA(radGreen[0]);
+        src.setRadialDistortionB(radGreen[1]);
+        src.setRadialDistortionC(radGreen[2]);
+        src.setRadialDistortionD(radGreen[3]);
     }
 
     vigra_ext::PassThroughFunctor<typename SrcPixelType::value_type> ptf;
@@ -734,7 +748,11 @@ void correctImage(SrcImgType& srcImg,
         // remap with the same coefficient.
         HuginBase::Nona::SpaceTransform transf;
         transf.InitRadialCorrect(src, 1);
-        std::vector <double> radCoeff = src.getRadialDistortion();
+        std::vector <double> radCoeff(4);
+        radCoeff[0] = src.getRadialDistortionA();
+        radCoeff[1] = src.getRadialDistortionB();
+        radCoeff[2] = src.getRadialDistortionC();
+        radCoeff[3] = src.getRadialDistortionD();
         if (transf.isIdentity() ||
                 (radCoeff[0] == 0.0 && radCoeff[1] == 0.0 && radCoeff[2] == 0.0 && radCoeff[3] == 1.0))
         {
