--- src/tools/hugin_hdrmerge.cpp.orig	2020-01-08 14:35:27 UTC
+++ src/tools/hugin_hdrmerge.cpp
@@ -225,8 +225,9 @@ static void usage(const char* name)
 int main(int argc, char* argv[])
 {
 
+    try {
     // parse arguments
-    const char* optstring = "chvo:m:i:s:a:el";
+    const char* optstring = "chvo:m:i:s:a:elB:M:";
     static struct option longOptions[] =
     {
         { "output", required_argument, NULL, 'o' },
@@ -286,6 +287,24 @@ int main(int argc, char* argv[])
             case 'v':
                 g_verbose++;
                 break;
+            case 'B': {
+                const int kilobytes = atoi(optarg);
+                if (kilobytes < 1) {
+                    std::cerr << "cache block size must be 1 or more." << std::endl;
+                    return 1;
+                }
+                //CachedFileImageDirector::v().setBlockSize(static_cast<long long>(kilobytes) << 10);
+                break;
+            }
+            case 'M': {
+                const int megabytes = atoi(optarg);
+                if (megabytes < 1) {
+                    std::cerr << "memory limit must be 1 or more." << std::endl;
+                    return 1;
+                }
+                //CachedFileImageDirector::v().setAllocation(static_cast<long long>(megabytes) << 20);
+                break;
+            }
             case 'h':
                 usage(hugin_utils::stripPath(argv[0]).c_str());
                 return 0;
@@ -325,8 +344,6 @@ int main(int argc, char* argv[])
 
     // output image
     ImageType output;
-    try
-    {
         if (mode == "avg_slow")
         {
             // use a weighted average, with special consideration of pixels
@@ -395,11 +412,12 @@ int main(int argc, char* argv[])
             std::cerr << "Unknown merge mode, see help for a list of possible modes" << std::endl;
             return 1;
         }
-    }
-    catch (std::exception& e)
-    {
+    } catch (const std::exception &e) {
         std::cerr << "caught exception: " << e.what() << std::endl;
-        abort();
+        return 1;
+    } catch (...) {
+        std::cerr << "caught unknown exception" << std::endl;
+        return 1;
     }
 
     return 0;
