--- src/tools/tca_correct.cpp.orig	2018-11-16 14:23:52 UTC
+++ src/tools/tca_correct.cpp
@@ -176,9 +176,9 @@ struct OptimData
         {
             HuginBase::SrcPanoImage img = m_pano.getSrcImage(i);
             m_hfov[i] = img.getHFOV();
-            m_dist[i][0] = img.getRadialDistortion()[0];
-            m_dist[i][1] = img.getRadialDistortion()[1];
-            m_dist[i][2] = img.getRadialDistortion()[2];
+            m_dist[i][0] = img.getRadialDistortionA();
+            m_dist[i][1] = img.getRadialDistortionB();
+            m_dist[i][2] = img.getRadialDistortionC();
             if (i == 0)
             {
                 m_shift[0] = img.getRadialDistortionCenterShift().x;
@@ -194,12 +194,10 @@ struct OptimData
         {
             HuginBase::SrcPanoImage img = m_pano.getSrcImage(i);
             img.setHFOV(m_hfov[i]);
-            std::vector<double> radialDist(4);
-            radialDist[0] = m_dist[i][0];
-            radialDist[1] = m_dist[i][1];
-            radialDist[2] = m_dist[i][2];
-            radialDist[3] = 1 - radialDist[0] - radialDist[1] - radialDist[2];
-            img.setRadialDistortion(radialDist);
+            img.setRadialDistortionA(m_dist[i][0]);
+            img.setRadialDistortionB(m_dist[i][1]);
+            img.setRadialDistortionC(m_dist[i][2]);
+            img.setRadialDistortionD(1 - m_dist[i][0] - m_dist[i][1] - m_dist[i][2]);
             img.setRadialDistortionCenterShift(hugin_utils::FDiff2D(m_shift[0], m_shift[1]));
             m_pano.setSrcImage(i, img);
         }
@@ -660,7 +658,9 @@ int processImg(const char* filename)
         // lens variables are linked by default. Unlink the field of view and
         // the radial distortion.
         lenses.unlinkVariablePart(HuginBase::ImageVariableGroup::IVE_HFOV, 0);
-        lenses.unlinkVariablePart(HuginBase::ImageVariableGroup::IVE_RadialDistortion, 0);
+        lenses.unlinkVariablePart(HuginBase::ImageVariableGroup::IVE_RadialDistortionA, 0);
+        lenses.unlinkVariablePart(HuginBase::ImageVariableGroup::IVE_RadialDistortionB, 0);
+        lenses.unlinkVariablePart(HuginBase::ImageVariableGroup::IVE_RadialDistortionC, 0);
 
         // setup output to be exactly similar to input image
         HuginBase::PanoramaOptions opts;
@@ -717,12 +717,10 @@ void resetValues(HuginBase::Panorama& pano)
 
         img.setHFOV(10);
 
-        std::vector<double> radialDist(4);
-        radialDist[0] = 0;
-        radialDist[1] = 0;
-        radialDist[2] = 0;
-        radialDist[3] = 1;
-        img.setRadialDistortion(radialDist);
+        img.setRadialDistortionA(0.0);
+        img.setRadialDistortionB(0.0);
+        img.setRadialDistortionC(0.0);
+        img.setRadialDistortionD(1.0);
 
         img.setRadialDistortionCenterShift(hugin_utils::FDiff2D(0, 0));
 
@@ -740,9 +738,9 @@ void print_result(HuginBase::Panorama& pano)
     {
         HuginBase::SrcPanoImage img = pano.getSrcImage(i);
         hfov[i] = img.getHFOV();
-        dist[i][0] = img.getRadialDistortion()[0];
-        dist[i][1] = img.getRadialDistortion()[1];
-        dist[i][2] = img.getRadialDistortion()[2];
+        dist[i][0] = img.getRadialDistortionA();
+        dist[i][1] = img.getRadialDistortionB();
+        dist[i][2] = img.getRadialDistortionC();
         if (i == 0)
         {
             shift[0] = img.getRadialDistortionCenterShift().x;
